Name:           perl-Task-Kensho-WebCrawling
Version:        0.39
Release:        6%{?dist}
Summary:        Glimpse at an Enlightened Perl (Web Crawling)
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Task-Kensho-WebCrawling
Source0:        https://cpan.metacpan.org/authors/id/E/ET/ETHER/Task-Kensho-WebCrawling-%{version}.tar.gz
BuildArch:      noarch
# Build
BuildRequires:  make
BuildRequires:  perl-interpreter
BuildRequires:  perl-generators
BuildRequires:  perl(:VERSION) >= 5.6.0
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Run-time
# Not used by tests
#BuildRequires:  perl(HTTP::Thin)
#BuildRequires:  perl(HTTP::Tiny)
#BuildRequires:  perl(LWP::Simple)
#BuildRequires:  perl(LWP::UserAgent)
#BuildRequires:  perl(WWW::Mechanize)
#BuildRequires:  perl(WWW::Mechanize::TreeBuilder)
#BuildRequires:  perl(WWW::Selenium)
# Tests
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(Module::Metadata)
BuildRequires:  perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(HTTP::Thin)
Requires:       perl(HTTP::Tiny)
Requires:       perl(LWP::Simple)
Requires:       perl(LWP::UserAgent)
Requires:       perl(WWW::Mechanize)
Requires:       perl(WWW::Mechanize::TreeBuilder)
Requires:       perl(WWW::Selenium)


%description
Task::Kensho is a list of recommended modules for Enlightened Perl
development. CPAN is wonderful, but there are too many wheels and you have
to pick and choose amongst the various competing technologies.

%prep
%setup -q -n Task-Kensho-WebCrawling-%{version}

%build
PERL_MM_FALLBACK_SILENCE_WARNING=1 perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}/*

%check
make test

%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.39-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Jun 28 2018 Jitka Plesnikova <jplesnik@redhat.com> - 0.39-5
- Perl 5.28 rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.39-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.39-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sun Jun 04 2017 Jitka Plesnikova <jplesnik@redhat.com> - 0.39-2
- Perl 5.26 rebuild

* Fri Mar 03 2017 Jitka Plesnikova <jplesnik@redhat.com> - 0.39-1
- Initial release
